Bug 1188634 - fedpkg clone -a should use https:// transport
Summary: fedpkg clone -a should use https:// transport
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 670485
TreeView+ depends on / blocked
 
Reported: 2015-02-03 13:04 UTC by Florian Weimer
Modified: 2017-11-26 22:48 UTC (History)
8 users (show)

Fixed In Version: fedpkg-1.30-4.fc27 fedpkg-1.30-4.fc26 fedpkg-1.30-4.fc25 fedpkg-1.30-4.el7 fedpkg-1.30-4.el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-21 23:27:55 UTC


Attachments (Terms of Use)

Description Florian Weimer 2015-02-03 13:04:45 UTC
Using git:// does not provide any protection against MITM attackers rewriting the spec file etc., later resulting in arbitrary code execution in the development environment.

This requires server-side changes first: https://pkgs.fedoraproject.org/ needs to use a proper X.509 certificate.  I don't know where to request this, pointers welcome.

Comment 1 Florian Weimer 2015-02-17 14:45:32 UTC
Fedora infrastructure ticket: https://fedorahosted.org/fedora-infrastructure/ticket/2324

Comment 2 Florian Weimer 2016-12-12 21:55:16 UTC
Per https://pagure.io/fedora-infrastructure/issue/2324#comment-46084, I believe this can now be fixed in fedpkg.

Comment 3 cqi 2016-12-15 14:11:07 UTC
Patch: https://pagure.io/fedpkg/pull-request/94

Comment 4 cqi 2016-12-15 14:23:05 UTC
(In reply to cqi from comment #3)
> Patch: https://pagure.io/fedpkg/pull-request/94

Merged.

Comment 5 cqi 2016-12-16 00:51:50 UTC
Patch works for fedpkg. But, unfortunately, it doesn't work for Koji.

fedpkg -d -v build
Creating repo object from /home/cqi/packages/fedora/rpkg
Initiating a koji session to https://koji.fedoraproject.org/kojihub
Building rpkg-1.47-6.fc25 for f25-candidate
Building https://src.fedoraproject.org/git/rpms/rpkg?#d139c2a012e5ec7314785d3ad686bddd498eee63 for f25-candidate with options {} and a priority of None
koji build f25-candidate https://src.fedoraproject.org/git/rpms/rpkg?#d139c2a012e5ec7314785d3ad686bddd498eee63
Created task: 16904151
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=16904151
Watching tasks (this may be safely interrupted)...
16904151 build (f25-candidate, /git/rpms/rpkg:d139c2a012e5ec7314785d3ad686bddd498eee63): open (buildvm-05.phx2.fedoraproject.org)
16904151 build (f25-candidate, /git/rpms/rpkg:d139c2a012e5ec7314785d3ad686bddd498eee63): open (buildvm-05.phx2.fedoraproject.org) -> FAILED: Action NotAllowed: policy violation (build_from_srpm)
  0 free  0 open  0 done  1 failed

I'll disable this change in package in order to ensure it does not block new release before it is resolved.

Comment 6 cqi 2016-12-16 01:02:42 UTC
Issue is reported at fedora-infra, https://pagure.io/fedora-infrastructure/issue/5636

Comment 7 Matt McCutchen 2017-01-13 15:43:59 UTC
Following up... Now that https://pagure.io/fedora-infrastructure/issue/5636 has been determined not to be a valid bug, can the change be reenabled in the fedpkg RPM?

Comment 8 cqi 2017-01-16 02:16:49 UTC
Hi Matt, sure. It's in plan.

Comment 9 Matt McCutchen 2017-02-01 17:44:25 UTC
Ping... What is holding this up?  All that has to be done is remove 0001-Disable-anongiturl-over-https.patch, right?

Comment 10 cqi 2017-02-23 08:28:31 UTC
Change status to NEW. By switching to https:// for an anonymous clone, koji fails to build.

An example of failure build is https://koji.fedoraproject.org/koji/taskinfo?taskID=18008897

Related bug 1425913

So, for now, just revert the fix, let fedpkg use original anongiturl.

Comment 11 Kevin Fenzi 2017-09-26 01:12:45 UTC
So, today we had a ton of people hitting git://pkgs and causing problems with the machine, so we disabled that, thinking it was already all switched over, but alas, not. ;( 

So, what we need here is something that works for anon git checkouts, which: 
anongiturl = https://src.fedoraproject.org/%(module)s 
does. 

But also something that koji can parse correctly to build from a specific git hash. I think we will need to see what koji does to process the url and adjust infrastructure or perhaps patch koji to make it all come out right. 

In any case we really want to keep git://pkgs gone if we can at all.

Comment 12 cqi 2017-09-26 02:50:42 UTC
Hi Kevin,

Here is a build https://koji.fedoraproject.org/koji/taskinfo?taskID=22079763 which builds from source https://src.fedoraproject.org/git/rpms/fedpkg?#17dfacad8c9113cd19de5a2134047e0ae5ea2a98 and fails. That is what I reported before in fedora-infra and it still happens.

What anonymous source URL koji can build from?

Comment 13 cqi 2017-09-26 03:28:28 UTC
Hi Kevin,

I just tried a scratch build[1] from new anongiturl with prefix git+https://, it fails and error is

BuildError: src.fedoraproject.org:/git/rpms/python-multilib is not in the list of allowed SCMs

[1] https://koji.fedoraproject.org/koji/taskinfo?taskID=22080126

Comment 14 Kevin Fenzi 2017-09-26 15:25:00 UTC
So, we may need to adjust the list of allowed SCM's here. 

https://infrastructure.fedoraproject.org/cgit/ansible.git/tree/roles/koji_builder/templates/kojid.conf#n93

For now I am going to revert our git://pkgs removal until we have fedpkg ready for the change. 

Can you also test in staging? It seems like it has more scm urls setup.

Comment 15 cqi 2017-09-27 02:45:59 UTC
Scratch build in prod and stg koji still fails

Building fedpkg-1.29-5.fc28 for rawhide
Created task: 22091903
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=22091903
Watching tasks (this may be safely interrupted)...
22091903 build (rawhide, /git/rpms/fedpkg:17dfacad8c9113cd19de5a2134047e0ae5ea2a98): open (buildvm-11.phx2.fedoraproject.org)
  22091904 buildSRPMFromSCM (/git/rpms/fedpkg:17dfacad8c9113cd19de5a2134047e0ae5ea2a98): free
  22091904 buildSRPMFromSCM (/git/rpms/fedpkg:17dfacad8c9113cd19de5a2134047e0ae5ea2a98): free -> FAILED: BuildError: src.fedoraproject.org:/git/rpms/fedpkg is not in the list of allowed SCMs
  0 free  1 open  0 done  1 failed
22091903 build (rawhide, /git/rpms/fedpkg:17dfacad8c9113cd19de5a2134047e0ae5ea2a98): open (buildvm-11.phx2.fedoraproject.org) -> FAILED: BuildError: src.fedoraproject.org:/git/rpms/fedpkg is not in the list of allowed SCMs
  0 free  0 open  0 done  2 failed


Building fedpkg-1.29-5.fc27 for rawhide
Created task: 90485602
Task info: https://koji.stg.fedoraproject.org/koji/taskinfo?taskID=90485602
Watching tasks (this may be safely interrupted)...
90485602 build (rawhide, /git/rpms/fedpkg:17dfacad8c9113cd19de5a2134047e0ae5ea2a98): free
90485602 build (rawhide, /git/rpms/fedpkg:17dfacad8c9113cd19de5a2134047e0ae5ea2a98): free -> open (buildvm-03.stg.phx2.fedoraproject.org)
  90485605 buildSRPMFromSCM (/git/rpms/fedpkg:17dfacad8c9113cd19de5a2134047e0ae5ea2a98): open (buildvm-04.stg.phx2.fedoraproject.org)
90485602 build (rawhide, /git/rpms/fedpkg:17dfacad8c9113cd19de5a2134047e0ae5ea2a98): open (buildvm-03.stg.phx2.fedoraproject.org) -> FAILED: BuildError: src.stg.fedoraproject.org:/git/rpms/fedpkg is not in the list of allowed SCMs
  0 free  1 open  0 done  1 failed
  90485605 buildSRPMFromSCM (/git/rpms/fedpkg:17dfacad8c9113cd19de5a2134047e0ae5ea2a98): open (buildvm-04.stg.phx2.fedoraproject.org) -> FAILED: BuildError: src.stg.fedoraproject.org:/git/rpms/fedpkg is not in the list of allowed SCMs
  0 free  0 open  0 done  2 failed

Comment 16 Kevin Fenzi 2017-09-27 20:04:43 UTC
Please try stg again now?

Comment 17 cqi 2017-09-28 12:04:37 UTC
Hi Kevin,

I can build in prod Koji, build https://koji.fedoraproject.org/koji/taskinfo?taskID=22123311

But, I can't get my stg Kerberos ticket. Get error

kinit: Cannot contact any KDC for realm 'STG.FEDORAPROJECT.ORG' while getting initial credentials

Comment 19 Kevin Fenzi 2017-09-28 23:10:00 UTC
(In reply to cqi from comment #17)
> Hi Kevin,
> 
> I can build in prod Koji, build
> https://koji.fedoraproject.org/koji/taskinfo?taskID=22123311
> 
> But, I can't get my stg Kerberos ticket. Get error
> 
> kinit: Cannot contact any KDC for realm 'STG.FEDORAPROJECT.ORG' while
> getting initial credentials

Should be fixed now...

Comment 20 cqi 2017-09-29 07:37:21 UTC
(In reply to Kevin Fenzi from comment #19)
> (In reply to cqi from comment #17)
> > Hi Kevin,
> > 
> > I can build in prod Koji, build
> > https://koji.fedoraproject.org/koji/taskinfo?taskID=22123311
> > 
> > But, I can't get my stg Kerberos ticket. Get error
> > 
> > kinit: Cannot contact any KDC for realm 'STG.FEDORAPROJECT.ORG' while
> > getting initial credentials
> 
> Should be fixed now...

Confirmed, works.

Comment 21 Kevin Fenzi 2017-09-29 17:58:27 UTC
ok, so works for builds in both stg and prod?

So, we should be able to push out a new fedpkg/rpkg with this soon?

Or do we need to change anything on the server end?

Comment 22 cqi 2017-10-19 03:48:38 UTC
Hi Kevin, new version will be released soon.

Comment 23 Fedora Update System 2017-10-24 08:40:58 UTC
rpkg-1.51-1.fc27 fedpkg-1.30-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cac2b8b4a

Comment 24 Fedora Update System 2017-10-24 08:58:33 UTC
rpkg-1.51-1.fc26 fedpkg-1.30-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea72793352

Comment 25 Fedora Update System 2017-10-24 09:02:33 UTC
rpkg-1.51-1.fc25 fedpkg-1.30-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5ad4107cc

Comment 26 Fedora Update System 2017-10-24 09:08:45 UTC
rpkg-1.51-1.el6 fedpkg-1.30-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68e2defc4c

Comment 27 Fedora Update System 2017-10-24 09:10:19 UTC
rpkg-1.51-1.el7 fedpkg-1.30-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5e4edb1320

Comment 28 cqi 2017-10-25 15:10:14 UTC
Hi Kevin, is it time to enable build from anonymous clone? New version of fedpkg is in Bodhi updates now. It would be good to enable it in case someone tests it. What do you think? Thanks.

Comment 29 Fedora Update System 2017-10-25 15:24:32 UTC
fedpkg-1.30-1.fc27, rpkg-1.51-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cac2b8b4a

Comment 30 Fedora Update System 2017-10-25 15:59:43 UTC
fedpkg-1.30-1.el7, rpkg-1.51-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5e4edb1320

Comment 31 Fedora Update System 2017-10-26 01:11:03 UTC
fedpkg-1.30-1.fc25, rpkg-1.51-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5ad4107cc

Comment 32 Fedora Update System 2017-10-26 01:32:24 UTC
fedpkg-1.30-1.fc26, rpkg-1.51-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea72793352

Comment 33 Fedora Update System 2017-10-26 10:05:10 UTC
fedpkg-1.30-1.el6, rpkg-1.51-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68e2defc4c

Comment 34 Fedora Update System 2017-10-27 11:33:36 UTC
fedpkg-1.30-1.fc27 rpkg-1.51-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cac2b8b4a

Comment 35 Fedora Update System 2017-10-27 18:43:37 UTC
fedpkg-1.30-2.fc27, rpkg-1.51-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cac2b8b4a

Comment 36 Fedora Update System 2017-10-30 02:58:47 UTC
fedpkg-1.30-2.fc26 rpkg-1.51-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea72793352

Comment 37 Fedora Update System 2017-10-30 03:17:49 UTC
fedpkg-1.30-2.fc25 rpkg-1.51-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5ad4107cc

Comment 38 Fedora Update System 2017-10-30 03:18:48 UTC
fedpkg-1.30-2.el6 rpkg-1.51-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68e2defc4c

Comment 39 Fedora Update System 2017-10-30 03:21:59 UTC
fedpkg-1.30-2.el7 rpkg-1.51-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5e4edb1320

Comment 40 Fedora Update System 2017-10-30 16:37:39 UTC
fedpkg-1.30-2.el6, rpkg-1.51-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68e2defc4c

Comment 41 Fedora Update System 2017-10-30 16:42:18 UTC
fedpkg-1.30-2.fc25, rpkg-1.51-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5ad4107cc

Comment 42 Fedora Update System 2017-10-30 16:57:11 UTC
fedpkg-1.30-2.el7, rpkg-1.51-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5e4edb1320

Comment 43 Fedora Update System 2017-10-30 17:06:16 UTC
fedpkg-1.30-2.fc26, rpkg-1.51-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea72793352

Comment 44 Patrick Uiterwijk 2017-11-01 19:43:00 UTC
The URL has been fixed in the upstream repo to the working one. Please fix that.

Comment 45 Fedora Update System 2017-11-01 20:08:32 UTC
fedpkg-1.30-3.fc27 rpkg-1.51-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cac2b8b4a

Comment 46 Fedora Update System 2017-11-01 20:08:47 UTC
fedpkg-1.30-3.fc25 rpkg-1.51-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5ad4107cc

Comment 47 Fedora Update System 2017-11-01 20:08:58 UTC
fedpkg-1.30-3.el7 rpkg-1.51-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5e4edb1320

Comment 48 Fedora Update System 2017-11-01 20:09:09 UTC
fedpkg-1.30-3.el6 rpkg-1.51-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68e2defc4c

Comment 49 Fedora Update System 2017-11-01 20:09:54 UTC
fedpkg-1.30-3.fc26 rpkg-1.51-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea72793352

Comment 50 Fedora Update System 2017-11-03 13:56:52 UTC
fedpkg-1.30-3.el6, rpkg-1.51-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68e2defc4c

Comment 51 Fedora Update System 2017-11-03 13:58:02 UTC
fedpkg-1.30-3.fc25, rpkg-1.51-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5ad4107cc

Comment 52 Fedora Update System 2017-11-03 14:10:43 UTC
fedpkg-1.30-3.el7, rpkg-1.51-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5e4edb1320

Comment 53 Fedora Update System 2017-11-03 14:22:55 UTC
fedpkg-1.30-3.fc26, rpkg-1.51-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea72793352

Comment 54 Fedora Update System 2017-11-04 18:01:02 UTC
fedpkg-1.30-3.fc27, rpkg-1.51-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cac2b8b4a

Comment 55 Fedora Update System 2017-11-09 03:49:57 UTC
fedpkg-1.30-4.el7 rpkg-1.51-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5e4edb1320

Comment 56 Fedora Update System 2017-11-09 03:51:48 UTC
fedpkg-1.30-4.el6 rpkg-1.51-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68e2defc4c

Comment 57 Fedora Update System 2017-11-09 03:54:02 UTC
fedpkg-1.30-4.fc25 rpkg-1.51-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5ad4107cc

Comment 58 Fedora Update System 2017-11-09 03:57:03 UTC
fedpkg-1.30-4.fc26 rpkg-1.51-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea72793352

Comment 59 Fedora Update System 2017-11-09 03:59:32 UTC
fedpkg-1.30-4.fc27 rpkg-1.51-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cac2b8b4a

Comment 60 Fedora Update System 2017-11-09 19:54:23 UTC
fedpkg-1.30-4.fc27, rpkg-1.51-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9cac2b8b4a

Comment 61 Fedora Update System 2017-11-11 16:01:22 UTC
fedpkg-1.30-4.fc25, rpkg-1.51-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f5ad4107cc

Comment 62 Fedora Update System 2017-11-11 16:12:20 UTC
fedpkg-1.30-4.el6, rpkg-1.51-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68e2defc4c

Comment 63 Fedora Update System 2017-11-11 16:55:22 UTC
fedpkg-1.30-4.el7, rpkg-1.51-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5e4edb1320

Comment 64 Fedora Update System 2017-11-11 17:28:39 UTC
fedpkg-1.30-4.fc26, rpkg-1.51-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea72793352

Comment 65 Fedora Update System 2017-11-21 23:27:55 UTC
fedpkg-1.30-4.fc27, rpkg-1.51-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 66 Fedora Update System 2017-11-23 19:46:31 UTC
fedpkg-1.30-4.fc26, rpkg-1.51-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 67 Fedora Update System 2017-11-24 23:13:47 UTC
fedpkg-1.30-4.fc25, rpkg-1.51-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 68 Fedora Update System 2017-11-26 21:52:34 UTC
fedpkg-1.30-4.el7, rpkg-1.51-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 69 Fedora Update System 2017-11-26 22:48:24 UTC
fedpkg-1.30-4.el6, rpkg-1.51-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.